### Enumeration

# WebKit LoadEvent

#### Declaration

    enum WebKit.LoadEvent

#### Description [src]

Enum values used to denote the different events that happen during a `WebKitWebView` load operation.

#### Members

Name | Description
--- | ---
`WEBKIT_LOAD_STARTED` | A new load request has been made. No data has been received yet, empty structures have been allocated to perform the load; the load may still fail due to transport issues such as not being able to resolve a name, or connect to a port.
`WEBKIT_LOAD_REDIRECTED` | A provisional data source received a server redirect.
`WEBKIT_LOAD_COMMITTED` | The content started arriving for a page load. The necessary transport requirements are established, and the load is being performed.
`WEBKIT_LOAD_FINISHED` | Load completed. All resources are done loading or there was an error during the load operation.